Get check payment
curl --request GET \
--url https://api.natural.com/check/{checkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/check/{checkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/check/{checkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/check/{checkId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/check/{checkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/check/{checkId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/check/{checkId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "check",
"id": "chk_019cd1798d875d7c0a4165d10dc4db29",
"attributes": {
"amount": 25000,
"currency": "USD",
"fee": {
"amount": 500,
"currency": "USD",
"payer": "sender",
"applied": "on_top"
},
"status": "completed",
"memo": "Invoice 1042",
"message": "Thank you for your business",
"internalDescription": "Q3 vendor true-up",
"deliveryMethod": "uspsFirstClass",
"checkNumber": "1042",
"voidDate": "2027-03-02",
"payee": {
"name": "Acme Supply LLC",
"line1": "1200 Broadway",
"line2": "Suite 400",
"city": "Oakland",
"state": "CA",
"postalCode": "94612",
"addressVersion": 3
},
"delivery": {
"status": "delivered",
"trackingUrl": null,
"mailedAt": "2026-09-03T15:30:05.000Z",
"deliveredAt": "2026-09-08T18:10:00.000Z",
"returnedToSenderAt": null,
"updatedAt": "2026-09-08T18:10:00.000Z"
},
"presentmentReturns": [],
"return": null,
"cancellation": null,
"failure": null,
"canonicalReason": null,
"submittedAt": "2026-09-03T15:30:05.000Z",
"issuedAt": "2026-09-03T15:30:05.000Z",
"stopRequestedAt": null,
"completedAt": "2026-09-10T14:00:00.000Z",
"returnedAt": null,
"canceledAt": null,
"expiredAt": null,
"rejectedAt": null,
"terminalAt": "2026-09-10T14:00:00.000Z",
"createdAt": "2026-09-03T15:30:00.000Z",
"updatedAt": "2026-09-10T14:00:00.000Z"
},
"relationships": {
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
}
}
}
}Direct: Check
Get check payment
Get one of your party’s check payments. An ID that is not yours, or that you cannot read, returns 404, not 403. Returns the Check object.
GET
/
check
/
{checkId}
Get check payment
curl --request GET \
--url https://api.natural.com/check/{checkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/check/{checkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/check/{checkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/check/{checkId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/check/{checkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/check/{checkId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/check/{checkId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "check",
"id": "chk_019cd1798d875d7c0a4165d10dc4db29",
"attributes": {
"amount": 25000,
"currency": "USD",
"fee": {
"amount": 500,
"currency": "USD",
"payer": "sender",
"applied": "on_top"
},
"status": "completed",
"memo": "Invoice 1042",
"message": "Thank you for your business",
"internalDescription": "Q3 vendor true-up",
"deliveryMethod": "uspsFirstClass",
"checkNumber": "1042",
"voidDate": "2027-03-02",
"payee": {
"name": "Acme Supply LLC",
"line1": "1200 Broadway",
"line2": "Suite 400",
"city": "Oakland",
"state": "CA",
"postalCode": "94612",
"addressVersion": 3
},
"delivery": {
"status": "delivered",
"trackingUrl": null,
"mailedAt": "2026-09-03T15:30:05.000Z",
"deliveredAt": "2026-09-08T18:10:00.000Z",
"returnedToSenderAt": null,
"updatedAt": "2026-09-08T18:10:00.000Z"
},
"presentmentReturns": [],
"return": null,
"cancellation": null,
"failure": null,
"canonicalReason": null,
"submittedAt": "2026-09-03T15:30:05.000Z",
"issuedAt": "2026-09-03T15:30:05.000Z",
"stopRequestedAt": null,
"completedAt": "2026-09-10T14:00:00.000Z",
"returnedAt": null,
"canceledAt": null,
"expiredAt": null,
"rejectedAt": null,
"terminalAt": "2026-09-10T14:00:00.000Z",
"createdAt": "2026-09-03T15:30:00.000Z",
"updatedAt": "2026-09-10T14:00:00.000Z"
},
"relationships": {
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
}
}
}
}Authorizations
Headers
Query Parameters
Was this page helpful?